Subject: meeting with Ray Bowen
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 25 Oct 2001 06:48:31 -0700 (PDT)

Elizabeth, Andrea and I are scheduled to meet with Ray Bowen on Monday to review fundamentals trends and developments. To prepare for this meeting I need three things from you, today:

The monthly benchmark prices (whether RISI, P&PW, Random Lengths or whatever) for your key product for this year starting with January, and coming up to date.
Your forecast of those prices by month for the next six months.
I need you to come by my desk some time today so we can spend a few minutes discussing current trends in your market.

Thanks,

Dave